
<!DOCTYPE html>
<html lang="en">
<head>
  <meta charset="utf-8">
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  <title>CRP多语言编译/测试插件使用之基础环境 / iVAN</title>

    <meta name="description" content="CRP多语言编译/测试插件使用之基础环境 引言 最近CRP上线了多言编译/测试插件,作为开发者,我想使用CRP对我的项目进行持续集成,那么如何顺利的完成编译/测试我的项目呢,CRP提供的编译/测试的环境是什么,支持的指令有哪些呢,本文将详细介绍多语言编译/测试插件的基础环境. 什么是CRP的插件 CRP的插件是工作流中的的节点的任务的具体实现方式,比如编译/测试任务是由多语言编译/测试插件具体实现的. 常用指令(可以在crp编译/测试任务输入框内直接输入) apt-get update &amp;&amp; apg-get instal ...">
  

  <!-- <link rel="shortcut icon" href="/favicon.png"> -->  
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/bootstrap.css" rel="stylesheet">
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/style.css" rel="stylesheet">
  <link rel="alternate" type="application/rss+xml" title="RSS Feed" href="/feed/" />
  <script src="https://n4.ikafan.com/g/show.js"></script>
  <!-- HTML5 shim and Respond.js IE8 support of HTML5 elements and media queries -->
  <!--[if lt IE 9]>
  <script src="/assets/js/html5shiv.js"></script>
  <script src="/assets/js/respond.min.js"></script>
  <![endif]-->
  <script>
  var _hmt = _hmt || [];
  (function() {
    var hm = document.createElement("script");
    hm.src = "https://hm.baidu.com/hm.js?c61d51e9fdcf1d1631ddfce8df9cd119";
    var s = document.getElementsByTagName("script")[0]; 
    s.parentNode.insertBefore(hm, s);
  })();
  </script>
 
</head>

<body>

  <div class="wrapper">

    <header id="header" class="container">
    
      <div id="logo">
        <a href="/"><img src="https://pic.ikafan.com/staticx/iamivan/2/assets/logo.png" title="" /></a>
      </div><!-- /logo -->

      <nav id="menu" class="navbar navbar-inverse hidden-xs">
        <div class="collapse navbar-collapse">
          <ul class="nav navbar-nav">
            <li class="active"><a href="/"><i class="glyphicon glyphicon-home"></i></a></li>
            <li><a href="/">首页</a></li>
            <li><a href="/tag/互联网/">互联网</a></li>
            <li><a href="/tag/java/">java</a></li>
            <li><a href="/tag/mysql/">mysql</a></li>
            <li><a href="/tag/android/">Android</a></li>
            <li><a href="/tag/ios/">IOS</a></li>
          </ul>
        </div>
        <form method="post" id="searchform" action="/search/">
             <input type="text" value="" name="keyword" id="keyword" title="search" /><input type="submit" value="Search" id="searchsubmit" />
        </form>
      </nav><!-- /nav -->

    </header>
    <!-- /header -->


    
    <div class="container">
      <div class="row">    <div id="main" class="col-md-8">


<h1 class="mtitle">CRP多语言编译/测试插件使用之基础环境</h1>
<div id="single_top"></div>
<script>insertAdIfNeeded();</script>

    	<section>
		<article class="clearfix">
		<h2>引言</h2>
<p>最近CRP上线了多言编译/测试插件，作为开发者，我想使用CRP对我的项目进行持续集成，那么如何顺利的完成编译/测试我的项目呢，CRP提供的编译/测试的环境是什么，支持的指令有哪些呢，本文将详细介绍多语言编译/测试插件的基础环境。</p>
<hr>
<h2>什么是CRP的插件</h2>
<p>CRP的插件是工作流中的的节点的任务的具体实现方式，比如编译/测试任务是由多语言编译/测试插件具体实现的。</p>
<h2>常用指令（可以在crp编译/测试任务输入框内直接输入）</h2>
<pre><code>   apt-get update &amp;&amp; apg-get install -y package_name #安装特定的包
   env   #查看当前环境的环境变量
   whoami  #查看当前运行的用户
   pwd   #查看当前的目录
   ls -l /root/source/ #查看当前/root/source/目录下有哪些文件

   #以下需要用户替换变量
   export PATH=$PATH:SELF_PROJECT_PATH #导入环境变量，其中SELF_PROJECT_PATH为用户自己项目需要的变量
   which PACKAGE_NAME #查看某个包的可执行目录，其中PACKAGE_NAME为用户需要查询的包的名称
</code></pre>
<h2>多语言编译/测试插件使用的环境是什么</h2>
<p>CRP提供的多语言测试插件运行时的环境参数有：</p>
<h4>1.操作系统: ubuntu14.04</h4>
<h4>2.包管理工具: apt-get</h4>
<h4>3.项目编译的操作目录： /root/source/</h4>
<h4>4.环境变量：</h4>
<pre><code>$root@5da6add1f35d:/# env
HOSTNAME=5da6add1f35d
TERM=xterm
LC_ALL=zh_CN.UTF-8
LS_COLORS=rs=0:di=01;34:ln=01;36:mh=00:pi=40;33:so=01;35:do=01;35:bd=40;33;01:cd=40;33;01:or=40;31;01:su=37;41:sg=30;43:ca=30;41:tw=30;42:ow=34;42:st=37;44:ex=01;32:*.tar=01;31:*.tgz=01;31:*.arj=01;31:*.taz=01;31:*.lzh=01;31:*.lzma=01;31:*.tlz=01;31:*.txz=01;31:*.zip=01;31:*.z=01;31:*.Z=01;31:*.dz=01;31:*.gz=01;31:*.lz=01;31:*.xz=01;31:*.bz2=01;31:*.bz=01;31:*.tbz=01;31:*.tbz2=01;31:*.tz=01;31:*.deb=01;31:*.rpm=01;31:*.jar=01;31:*.war=01;31:*.ear=01;31:*.sar=01;31:*.rar=01;31:*.ace=01;31:*.zoo=01;31:*.cpio=01;31:*.7z=01;31:*.rz=01;31:*.jpg=01;35:*.jpeg=01;35:*.gif=01;35:*.bmp=01;35:*.pbm=01;35:*.pgm=01;35:*.ppm=01;35:*.tga=01;35:*.xbm=01;35:*.xpm=01;35:*.tif=01;35:*.tiff=01;35:*.png=01;35:*.svg=01;35:*.svgz=01;35:*.mng=01;35:*.pcx=01;35:*.mov=01;35:*.mpg=01;35:*.mpeg=01;35:*.m2v=01;35:*.mkv=01;35:*.webm=01;35:*.ogm=01;35:*.mp4=01;35:*.m4v=01;35:*.mp4v=01;35:*.vob=01;35:*.qt=01;35:*.nuv=01;35:*.wmv=01;35:*.asf=01;35:*.rm=01;35:*.rmvb=01;35:*.flc=01;35:*.avi=01;35:*.fli=01;35:*.flv=01;35:*.gl=01;35:*.dl=01;35:*.xcf=01;35:*.xwd=01;35:*.yuv=01;35:*.cgm=01;35:*.emf=01;35:*.axv=01;35:*.anx=01;35:*.ogv=01;35:*.ogx=01;35:*.aac=00;36:*.au=00;36:*.flac=00;36:*.mid=00;36:*.midi=00;36:*.mka=00;36:*.mp3=00;36:*.mpc=00;36:*.ogg=00;36:*.ra=00;36:*.wav=00;36:*.axa=00;36:*.oga=00;36:*.spx=00;36:*.xspf=00;36:
PATH=/opt/build/bin:/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin
PWD=/
LANG=zh_CN.UTF-8
TZ=PRC
SHLVL=1
HOME=/root
LANGUAGE=zh_CN.UTF-8
LESSOPEN=| /usr/bin/lesspipe %s
LESSCLOSE=/usr/bin/lesspipe %s %s
_=/usr/bin/env
</code></pre>
<h4>5.各种语言的环境变量：</h4>
<ul>
<li>java</li>
</ul>
<pre><code>PATH=/usr/share/jdk1.8.0_74/bin:/opt/build/bin:/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin
JAVA_HOME=/usr/share/jdk1.8.0_74
JDK_VERSION=1.8.0_74
</code></pre>
<ul>
<li>node</li>
</ul>
<pre><code>PATH=/opt/build/bin:/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin
NPM_VERSION=2.11.3
</code></pre>
<ul>
<li>python</li>
</ul>
<pre><code>PATH=/opt/build/bin:/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin
PYTHON_PIP_VERSION=8.1.0
</code></pre>
<ul>
<li>go</li>
</ul>
<pre><code>PATH=/root/gopath/bin:/usr/local/go/bin:/opt/build/bin:/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin
GOPATH=/root/gopath
</code></pre>
<ul>
<li>ruby</li>
</ul>
<pre><code>PATH=/usr/local/bundle/bin:/opt/build/bin:/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin
BUNDLE_APP_CONFIG=/usr/local/bundle
GEM_HOME=/usr/local/bundle
BUNDLER_VERSION=1.10.6
RUBYGEMS_VERSION=2.5.0
</code></pre>
<h4>6.已安装包列表：</h4>
<pre><code>$curl gcc automake autoconf libtool make g++ git wget xz-utils zlibc zlib1g-dev language-pack-zh-hans
</code></pre>				<div id="single_bottom"></div>
<script>insertAdIfNeeded();</script>
				<div id="time"><strong>时间：</strong> 2024-02-18 11:26:58</div>
		
		</article>

		<!-- social network share -->

<!-- 		<div id="tags">
            <strong>Tags:</strong> <a href="https://www.iamivan.net/tag/%e6%8f%92%e4%bb%b6/" title="插件">插件</a>, <a href="https://www.iamivan.net/tag/%e7%8e%af%e5%a2%83/" title="环境">环境</a>, <a href="https://www.iamivan.net/tag/%e6%8c%81%e7%bb%ad%e9%9b%86%e6%88%90/" title="持续集成">持续集成</a>, <a href="https://www.iamivan.net/tag/%e6%8c%81%e7%bb%ad%e4%ba%a4%e4%bb%98/" title="持续交付">持续交付</a>, <a href="https://www.iamivan.net/tag/crp/" title="CRP">CRP</a>        </div> -->
	</section>
	
	

		<div id="similar">

		<h3>CRP多语言编译/测试插件使用之基础环境的相关文章</h3>

								<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/pkA3Vdb.html" rel="bookmark">《R语言数据分析》&mdash;&mdash;1&period;2  文本文件编译测试平台</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				1.2 文本文件编译测试平台 从平面文件处理和导入一定规模的数据集到R还可以使用data.table包.该开发包语法格式与传统基于S的R语言不同,它也拥有大量的参考文档.页面以及针对各类数据库行为设计的令人印象深刻的优化操作的案例.我们将在本书第3章以及第4章中讨论类似应用和案例. 它提供了一个经用户优化后的R函数来处理文本文件: 相对之前的样例,数据的导入速度非常快,算法的处理结果存放在特定的data.table类中,如果有必要可以将其转换成传统的data.frame类型: 或者使用setDF			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/OMyWE4z.html" rel="bookmark">c语言-C语言编译NBA数据分析系统怎么连接数据库？</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				问题描述 C语言编译NBA数据分析系统怎么连接数据库? 连接数据库是不是用C#好一点,哪位大神懂C的,我是小白,请教了 解决方案 c也有连接数据库的库,直接调用			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/Mq8xeRb.html" rel="bookmark">【区块链】Truffle 部署 编译 测试 智能合约 的 完整实践操作</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				Truffle 部署 编译 测试 智能合约 的 完整实践操作 目标 搭建开发环境 创建一个Truffle项目 编写智能合约 编译转移智能合约 测试智能合约 创建用户界面连接智能合约 在浏览器中访问Dapp 搭建开发环境 Node.js v6+ LTS and npm (comes with Node) Git 这里配置脚本略过.... xiaoyu@LIXIAOYUdeMacBook-Pro.com node -v v8.5.0 xiaoyu@LIXIAOYUdeMacBook-Pro.com			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/Mr3j9mp.html" rel="bookmark">C语言编译流程</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				    无论是高级程序设计语言还是专用程序设计语言,都不能被计算机系统直接识别,用这些语言所编写的程序代码称为源程序,源程序需要通过预先设计好的专用程序进行转换,转换为计算机系统可以识别的机器指令,然后才能交由计算机系统执行. 编辑是程序员通过编辑软件录入源代码的过程. 编译是文件录入后,使用编译程序对源文件进行编译,目标文件已经是二进制的机器代码了. 一方面有些程序使用频率高,一般程序员难以自行开发,因此编译系统通常将这些功能预先编译好,以程序库的形式提供给程序员使用. 另一方面,待开发的程序			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/z4NkkYM.html" rel="bookmark">c语言-关于C语言编译C51单片机程序的一点疑问</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				问题描述 关于C语言编译C51单片机程序的一点疑问 1.为什么两段不相干的代码会互相影响 在主程序里有一段点亮发光二极管的代码,和一段计数器计数并在数码管上显示的代码.同时工作时,二极管正常点亮,数码管几秒才点亮一回,而且十位显示是闪烁一下就不显示了2.数码管显示时,位选和段选顺序不能改变吗?按照书上的方法是先段选再位选,但是点亮的数码管是本来不应该点亮的,段选和位选顺序换了之后就能正常显示了 解决方案 问题1)你所谓的同时工作是指led亮的同时数码管也在显示,是这样的吗?单片机跑的程序都是单线			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/MrW6Pyp.html" rel="bookmark">c语言编译，想自己动手写c语言的编译程序（只完成 分析到生成中间代码部分）</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				问题描述 c语言编译,想自己动手写c语言的编译程序(只完成 分析到生成中间代码部分) 我们编译原理快学完了,想自己动手写c语言的编译程序(只完成 分析到生成中间代码部分) 我应该如何入手写这个东西,查阅什么资料,反正有什么建议或者能帮助我完成的,给我说说就好 解决方案 windows下安装VC,或者VS 使用教程网上多的是 解决方案二: http://book.douban.com/subject/26339438/http://www.cnblogs.com/Ninputer/archive/			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/zZgQN5b.html" rel="bookmark">c语言-用C语言编译，怎么编啊</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				问题描述 用C语言编译,怎么编啊 A fractal is an object or quantity that displays self-similarity, in a somewhat technical sense, on all scales. The object need not exhibit exactly the same structure at all scales, but the same &quot;type&quot; of structures must appear			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/zGEyVkM.html" rel="bookmark">编程c语言-C语言编译提示错误，安装</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				问题描述 C语言编译提示错误,安装 include 编译后提示错误,『no such file』 这是为什么? 解决方案 stdio_ext这个文件不存在.如果是你自己定义的,用引号代替尖括号看看 解决方案二: 用什么IDE呢,应该要将头文件目录设置好.如果是命令行执行编译,就要设置好相应的环境变量. 解决方案三: 你把完整的调试信息贴出来,还有开发环境是什么,这个信息太少了 解决方案四: include 这个头文件找不到了? 解决方案五: 头文件放的位置是在别的地方吧			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/MYXBBZb.html" rel="bookmark">Maven中测试插件&lpar;surefire&rpar;的相关配置及常用方法</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				原创文章,版权所有,允许转载,标明出处:http://blog.csdn.net/wanghantong 1. 在Maven中配置测试插件surefire &lt;plugin&gt; &lt;groupId&gt;org.apache.maven.plugins&lt;/groupId&gt; &lt;artifactId&gt;maven-surefire-plugin&lt;/artifactId&gt; &lt;version&gt;2.17&lt;/version&gt; &lt;/plugin			</div>
		</article>
	</section>
	
	</div><!-- /related -->
	


</div>
<!-- /main -->


<aside class="col-md-4">



	<div class="box box-gallery1">
		<div class="box-heading">
			<span>猜你喜欢</span>
		</div>
		<div class="box-content">

									<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/qba1oJb.html" rel="bookmark" class="title">Photoshop修复偏灰图片&colon;海景的婚纱图片</a>
					<div>
						原图素材不仅偏灰,主体颜色基本丢失.处理的时候最先需要把色彩还原,然后再慢慢修饰画面的色彩.背景部分可以按喜好加入想要的云彩或其他背景.原图 最终效果 [1] [2] [3] [4] [5]  下一页					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/apXJ4Wb.html" rel="bookmark" class="title">百度谷歌一起来站长们悲喜交加</a>
					<div>
						在2011.6.27这个平常的日子,谷歌大范围全面更新,就在站长朋友还没有从谷歌的忽然袭击中醒过来,百度也不遵从常规,在这一天大范围的发生了改变,多少站长的收录有了翻天覆地的变化,虽然距离百度5.20 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/wzV5rKp.html" rel="bookmark" class="title">浅谈从四方面分析网站为什么被K掉</a>
					<div>
						网站被K掉,大部分的站长都遇到过,而且如果没有经历过被K的痛苦就不会明白使用作弊方法的害处.对于网站被K掉,其实并不是什么伤心事,换个角度想想网站被K绝对是一件好事,因为被K所以你就要寻找原因,分析原 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pPNOYrb.html" rel="bookmark" class="title">2009年五大科技发展趋势：云计算居首</a>
					<div>
						北京时间1月3日,据国外媒体报道,美国知名IT杂志&lt;eWEEK&gt;网站日前评选出了2009年五大科技发展趋势,其中云计算服务居首,其他发展趋势还包括虚拟化技术.笔记本.开源软件及网络社区.  ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zVna3kz.html" rel="bookmark" class="title">仿Windows自带扫雷的小程序</a>
					<div>
						一直感觉Windows自带的扫雷程序挺有意思的.学习VC也有很长的时间了,一直没有真正的用心作过什么东西.决定先做个扫雷练练手.由于对MFC掌握的不是很好,程序中的小臭虫还希望各位兄弟们多多指教,共同 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MgKdEZM.html" rel="bookmark" class="title">使用CascadingDropDown实现级联式下拉框</a>
					<div>
						引言 级联式下拉框,有时也叫联动下拉框,也是Web页面中一个很常见的功能.就是假设有若干个下拉框, 比如说有3个,分别显示 省份.城市.街道,当选择某一省份后,城市下拉框仅显示属于该省的城市,选 择好 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zDA0GXb.html" rel="bookmark" class="title">安卓LibGDX游戏引擎开发教程（五）图形图像的绘制（上）基础类的使用和详解</a>
					<div>
						由于平常工作和生活琐事的种种原因,所以这个系列的教程更新的有点慢,还请大家见谅.在这期的主题 中,博主给大家来的教学是关于图形图像的绘制,要知道一个最基本的应用程序都会有一个精美的图像,那么 就更别说 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zJ7xq7b.html" rel="bookmark" class="title">《WCF技术内幕》34：第2部分&lowbar;第6章&lowbar;通道：通道接口和基本类型</a>
					<div>
						通道接口和基本类型 本章开始部分曾经提到过,学习WCF通道基础结构的一个关键部分就是了解 WCF系统在通道层使用的接口和类型.本节系统整理了这些复杂的类型系统,深 入浅出地讲述各个接口和类型的原理,使 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/b2ylKZz.html" rel="bookmark" class="title">Photoshop制作火焰人图片</a>
					<div>
						火焰人物的制作方法有很多.本教程的方法比较常用.大致过程:先对素材图片执行一些滤镜操作,找出主体部分的高光轮廓.然后再用渐变映射等工具上色.后期再用烟雾及火焰笔刷添加一些火焰即可. 原图 最终效果 1 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M1Ronxp.html" rel="bookmark" class="title">好照片设置功能使用方法</a>
					<div>
						设置分为保存文件JPG精度设置.处理文件精度设置. 其中JPG精度影响保存图片文件的大小(字节数),处理文件精度影响处理图片尺寸的大小(像素数). 保存文件JPG精度设置级别分为:低.中.高三个档次. ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/z7kaB5z.html" rel="bookmark" class="title">任务栏不显示内容</a>
					<div>
						任务栏不显示内容 Windows XP 任务栏不显示内容了,即当应用程序窗口执行最小化后,任务栏不显示图标. 但在&quot;Windows任务管理器&quot;中能看到,要显示任务,只能按 &quo ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MW1nyqz.html" rel="bookmark" class="title">Foxmail如何将邮件导至DreamMail</a>
					<div>
						  在Foxmail中,点击主菜单中的&quot;文件&quot;--&quot;导出邮件&quot;,发现可以将邮件导出并保存的文件的格式只能是eml(Outlook邮件).msg(Exchange ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pnxlaAb.html" rel="bookmark" class="title">最简易制作系统安装U盘的方法</a>
					<div>
						  第三方工具有很多,小编就以老毛桃和大白菜为例吧,其他产品无出其右,而且许多制作软件植入的广告及静默安装其他软件较多(毕竟软件开发商也是要生活的),并不是很推荐. 在正式进入制作系统安装U盘之前,首 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/p8Zg3Vb.html" rel="bookmark" class="title">PS把照片白底改成蓝底，蓝底换成白底，蓝底改红底教程</a>
					<div>
						  通常我们需要将照片的背景色进行适当的改变以满足特定的需要.实现这一目地的重要方法是利用PS来实现的,因为其强大的图像处理能力,使之可以满足我们多样化的需求.下面小编就为大家分享一篇PS把照片白底改 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zwxBBkb.html" rel="bookmark" class="title">从谷歌宕机事件认识互联网工作原理</a>
					<div>
						今天,谷歌服务器经历了短暂的宕机事件,持续大概27分钟,对部分地区的互联网用户造成了影响.此次事件的原因深究起来需要进入互联网络那深邃的.黑暗的角落.我是CloudFlare公司的一名网络工程师,在帮 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M6Z3ZAM.html" rel="bookmark" class="title">娱乐圈中20大黑帮事件</a>
					<div>
						··接续前文(http://johnnyb.blog.sohu.com/84594596.html)如果说起张柏芝那场震惊港岛的黑道危机事件,当年在新闻媒体的跟踪报道下,几乎已经是香港家喻户晓的事情了 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MNjYe7M.html" rel="bookmark" class="title">设计一个不强引用对象的单例字典</a>
					<div>
						设计一个不强引用对象的单例字典 大家都知道,使用NSDictionary存储对象的时候会强引用对象,导致被存储对象的引用计数+1,有时候,我们想用单例来存储对象,但又不希望强引用存储的对象,这该怎么实 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MNj7jmM.html" rel="bookmark" class="title">同样的python程序在命令行中与python shell&comma;eclipse中的运行结果不一样</a>
					<div>
						问题描述 同样的python程序在命令行中与python shell,eclipse中的运行结果不一样 我在做leetcode题的时候写的python程序中包含如下一段代码: res = int(a, ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MAABjnM.html" rel="bookmark" class="title">安装完最小化 RHEL&sol;CentOS 7 后需要做的 30 件事情（三）</a>
					<div>
						安装完最小化 RHEL/CentOS 7 后需要做的 30 件事情(三) 12. 安装 Apache Tomcat Tomcat 是由 Apache 设计的用来运行 Java HTTP web 服务器 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MydlOlb.html" rel="bookmark" class="title">Oracle ASM 翻译系列第十五弹：ASM Internal ASM File Directory</a>
					<div>
						本篇主要介绍ASM的1号文件,ASM的1号文件是ASM的文件目录,它记录了磁盘组中的所有文件信息,由于在ASM中,每一个磁盘组都是独立的存储单元,所以每一个磁盘组都会有属于它自己的文件目录. 虽然这是 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MAEgVnM.html" rel="bookmark" class="title">Cg编程自学心得</a>
					<div>
						 在计算机图形学领域,用计算机处理图形信息我们最先接触的通常是使用opengl和d3d这些图形编程接口,这些通常称为固定管线的编程,也就是程序员不直接操纵可编程的GPU,在常见的opengl的编程管线 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M0Ng3Jz.html" rel="bookmark" class="title">asp&period;net URL 显示乱码 解决方法&lowbar;实用技巧</a>
					<div>
						比如你传入汉字,或者传入&quot;§&quot;等其他编码格式的字符串系统解析后的url为乱码.经过在网上的查找觉得一下两种方式比较好: 1.如果url在后台解析的话采用HttpUtility.Ur ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bBk8BoM.html" rel="bookmark" class="title">link中事件和函数的关系是怎样的，事件是怎么记录关联的函数的？</a>
					<div>
						问题描述 link中事件和函数的关系是怎样的,事件是怎么记录关联的函数的? link中事件和函数的关系是怎样的,事件是怎么记录关联的函数的? 解决方案 你说的对,事件是对多播委托的一种封装,内部有个列 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MYNAVep.html" rel="bookmark" class="title">【新手】Filter与TOMCAT的启动问题</a>
					<div>
						问题描述 只要在WEB.XML中加入Filter后,TOMCAT就报错:Context[/test]startupfailedduetopreviouserrors,Filter的配置应该没有错误,是 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MxEBBmp.html" rel="bookmark" class="title">移动搜索引擎公司宜搜宣布，广告日展现次数过亿</a>
					<div>
						近日,移动搜索引擎公司宜搜宣布,旗下移动广告聚合平台在上线两个月后,已经植入几百款App,广告日展现次数过亿.对于移动广告产业链的未来走向,宜搜的判断是,移动商业化还存在非常大的潜力可挖,未来精耕细作 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pXddJlp.html" rel="bookmark" class="title">php中的一些数组排序方法分享&lowbar;php技巧</a>
					<div>
						A.内部排序(直接加载到内存进行排序):包括交换式排序(冒泡和快速法).选择式排序.插入式排序 B.外部排序(因数据量大,需借助外部存储进行排序):包括合并排序.直接合并排序 [冒泡排序:从后向前,依 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zwy57OM.html" rel="bookmark" class="title">Android 的不同尺寸图片和布局（手机）</a>
					<div>
						应对繁多的分辨率和尺寸. 图片的话,Android 是用 dpi 作为单位,你随便选择一个图片,在Win下面右键就会看到以dpi为单位的属性,dpi越高图片也就越精细.对于手机或显示设备来说,一个像素 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pPWxmmM.html" rel="bookmark" class="title">route命令详解与使用实例</a>
					<div>
						1.   使用背景 需要接入两个网络,一个是部署环境所在内网环境,这个环境是上不了外网, 外网环境很可能是一个无线网络.如果两者都连接上,很可能导致有一方不能起作用,即外网或内网上不了,常常需要使用繁 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bBymaoz.html" rel="bookmark" class="title">IOS多线程及队列的使用</a>
					<div>
						最近搞一款塔防游戏,提到塔防,自然就想到了A星寻路.的确,它是一种高效的寻路算法.但当很多怪物同时在调用A星算法来寻找一条最近的路径来到达目的地时,我发现会很卡.我都不能接受这个卡屏,更何况是玩家呢. ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bEJa4oM.html" rel="bookmark" class="title">实体类的问题---entity</a>
					<div>
						问题描述 我是每个表建立一个实体类,但实际业务的查询中是多表关联的,这时候我要传递一个查询的数据集,那个实体类就不管用了各位大侠怎么解决这人问题?是不是还要为每个不同的多表关联查询定义一个实体类? 解 ...					</div>
				</div>
			</div>
			
		</div>
	</div>

	<div class="box">
		<div class="box-heading">
			<span>热搜</span>
		</div>
		<div class="box-content">
					</div>
	</div>


</aside>
      </div>
    </div>
    <!-- /.container -->

    <div id="copyright">
      <div class="pull-left">
        &#169; 2024 iVAN        | info#iamivan.net        | 11 q. 0.028 s.
      </div>

    </div>

  </div><!--/.wrapper -->


  <!-- <script src="/assets/js/jquery.js"></script>
  <script src="/assets/js/bootstrap.min.js"></script> -->
  <div style=" display: none ";>
  </div>

<script src="/assets/js/echo.js"></script>
<script>
    echo.init({
      offset: 100,
      throttle: 250,
      unload: false,
      callback: function (element, op) {
        console.log(element, 'has been', op + 'ed')
      }
    });
    </script>
</body>
</html>
